Exiv2: Exiv2::CommentValue Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::CommentValue Class Reference

Value for an Exif comment. More...

`#include <value.hpp>`

Inheritance diagram for Exiv2::CommentValue:

[legend]
Collaboration diagram for Exiv2::CommentValue:

[legend]

List of all members.

## Public Types
enum | CharsetId { ascii, jis, unicode, undefined, invalidCharsetId, lastCharsetId }
| Character set identifiers for the character sets defined by Exif.
typedef std::auto_ptr < CommentValue > | AutoPtr
| Shortcut for a CommentValue auto pointer.
## Public Member Functions
Creators
| CommentValue ()
| Default constructor.
| CommentValue (const std::string &comment)
| Constructor, uses read(const std::string& comment).
virtual | ~CommentValue ()
| Virtual destructor.
Manipulators
int | read (const std::string &comment)
| Read the value from a comment.
Accessors
AutoPtr | clone () const
| Return an auto-pointer to a copy of itself (deep copy). The caller owns this copy and the auto-pointer ensures that it will be deleted.
std::ostream & | write (std::ostream &os) const
| Write the comment in a format which can be read by read(const std::string& comment).
std::string | comment () const
| Return the comment (without a charset="..." prefix).
CharsetId | charsetId () const
| Return the charset id of the comment.
## Classes
class | CharsetInfo
| Charset information lookup functions. Implemented as a static class. More...
struct | CharsetTable
| Information pertaining to the defined character sets. More...

## Detailed Description

Value for an Exif comment.

This can be a plain Ascii string or a multipe byte encoded string. The comment is expected to be encoded in the character set indicated (default undefined), but this is not checked. It is left to caller to decode and encode the string to and from readable text if that is required.

## Member Function Documentation

int Exiv2::CommentValue::read | ( | const std::string & | comment | ) | `[virtual]`

Read the value from a comment.

The format of comment is:
`[charset=["]Ascii|Jis|Unicode|Undefined["] ]comment`
The default charset is Undefined.

Returns:
  0 if successful
  1 if an invalid character set is encountered

Reimplemented from Exiv2::StringValueBase.

The documentation for this class was generated from the following file:

- value.hpp